// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>

class Actor {
public:
    Actor(const std::string& jid, const std::string& group);

    void setGroup(const std::string& newGroup);
    std::string getGroup() const;

public:
    const std::string jid;

private:
    std::string group;
};
