// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#include "actor.h"

Actor::Actor(const std::string& jid, const std::string& group) :
    jid(jid),
    group(group)
{}

void Actor::setGroup(const std::string& newGroup) {
    group = newGroup;
}

std::string Actor::getGroup() const {
    return group;
}
